from i3pystatus import Status

status = Status(
    logfile='/dev/stderr',
)

status.register("pulseaudio",
    format="♪I {volume}%",
    format_muted="♪I -∞dB",
    step="2",
    sink="alsa_output.pci-0000_06_00.6.HiFi__hw_Generic_1__sink")
status.register("pulseaudio",
    format="♪D {volume}%",
    format_muted="♪D -∞dB",
    step="2",
    sink="@DEFAULT_SINK@")

#status.register("shell",
#    format="♪D {output}",
#    command="wpctl get-volume @DEFAULT_AUDIO_SINK@ | cut -d: -f2",
#    interval=1)
#status.register("shell",
#    format="{output}",
#    hints = {"markup": "pango"},
#    command="/home/kunsi/.config/i3pystatus/microphone-status.sh",
#    on_rightclick="pactl set-source-mute alsa_input.pci-0000_07_00.6.HiFi__hw_acp__source toggle",
#    interval=1)

status.register("backlight",
    format="{percentage}%",
    backlight="amdgpu_bl1",
    on_leftclick="sudo light -S 10",
    on_rightclick="sudo light -S 50",
    interval=1)

status.register("shell",
    format="L: {output}",
    command="/home/kunsi/.config/i3pystatus/screensaver-status.sh",
    interval=1,
    on_leftclick="xset s 90 10",
    on_rightclick="xset s off")

status.register("clock",
    format=("%a, %Y-%m-%d %H:%M:%S %z (W%V)", "Europe/Berlin"))
status.register("clock",
    format=("%Y-%m-%d %H:%M:%S UTC", "UTC"))

status.register("battery",
    battery_ident="BAT0",
    format="B0: {status}{percentage:.2f}% {remaining:%E%h:%M}",
    alert=True,
    alert_percentage=5,
    status={
        "DIS": "↓",
        "CHR": "↑",
        "FULL": "",
    })

status.register("load",
    format="{avg1}")
#status.register("amdgpu",
#    format="G: {temp}°C {gpu_usage}%")
status.register("temp",
    format="C: {temp:.0f}°C",
    hints={"markup": "pango"},
#    lm_sensors_enable=True,
    dynamic_color=True)

status.register("shell",
    format="{output}",
    hints = {"markup": "pango"},
    command="/home/kunsi/.config/i3pystatus/rfkill-wifi.py",
    interval=1)
status.register("shell",
    format="{output}",
    hints = {"markup": "pango"},
    command="/home/kunsi/.config/i3pystatus/rfkill-bt.py",
    on_leftclick='sudo rfkill block bluetooth',
    on_rightclick='sudo rfkill unblock bluetooth',
    interval=1)
status.register("shell",
    format="{output}",
    hints = {"markup": "pango"},
    command="/home/kunsi/.config/i3pystatus/redshift.py",
    on_leftclick='systemctl --user start redshift.service',
    on_rightclick='systemctl --user stop redshift.service',
    interval=1)
status.register("shell",
    format="{output}",
    hints = {"markup": "pango"},
    command="/home/kunsi/.config/i3pystatus/trackpad.sh",
    interval=1,
    on_leftclick="xinput enable 'SynPS/2 Synaptics TouchPad'",
    on_rightclick="xinput disable 'SynPS/2 Synaptics TouchPad'")

#status.register("wifionice", wifi_adapters=['wlan0'])
status.register("wifionice",
    hints = {"markup": "pango"},
    url_on_click='https://travelynx.franzi.business/s/{last_station_no}?train={train_type}%20{train_no}',
    wifi_adapters=['wlan0'],
    format_offtrain='Wann wieder Zug?',
    format_ontrain='{train_type} {train_no} [~ <span color="#999999">{speed}km/h</span> ]> {next_station}[ '
        '<span color="#999999">\[{next_platform}\]</span> {arrival_time} '
        '({arrival_in}[ | <span color="#FF0000">{delay}</span>])][ '
        '<span color="#999999">(Net: {net_current} > \[{net_duration}\] '
        '{net_expected})</span>]')
#status.register("shell",
#    format="{output}",
#    hints = {"markup": "pango"},
#    command="/home/kunsi/.config/i3pystatus/ice-status.py",
#    on_leftclick="/home/kunsi/.config/i3pystatus/ice-status.py --link",
#    ignore_empty_stdout=True,
#    interval=2)

status.register("network",
    interface="wlp4s0",
    format_up="{interface}:[ {essid} ({freq:01.3f}GHz – {quality}%)][ {v6cidr}][ {v4cidr}]",
    format_down="{interface}: down",
    detect_active=True,
    freq_divisor=1000000000,
    divisor=1024,
    on_leftclick="kitty --class terminal-floating -e sudo wifi-menu",
    hints={"markup":"pango"})

#status.register("mpd",
#    format="{status} [{pos}/{len}: ][{artist} - ]{title}{filename}[ ({song_elapsed}/{song_length})]",
#    status={
#        "pause": "▷",
#        "play": "▶",
#        "stop": "◾",
#    },
#    host="172.19.138.20",
#    color="#666666",
#    on_rightclick="stop",
#    on_upscroll="previous_song",
#    on_downscroll="next_song",
#    hide_inactive=True,
#    max_field_len=200)

status.register("disk",
    path="/home/kunsi",
    format="{used}/{total}G",)

status.run()
